Bug 228078 - dvipdfm fails due to "invalid PDF filename" caused by ghostscript change
dvipdfm fails due to "invalid PDF filename" caused by ghostscript change
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-09 16:29 EST by Andrew Schretter
Modified: 2013-07-02 19:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:55:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Postscript file which causes error under dvipdfm (112.08 KB, application/postscript)
2007-02-09 16:29 EST, Andrew Schretter
no flags Details
Patch to fix (512 bytes, patch)
2007-02-09 16:30 EST, Andrew Schretter
no flags Details | Diff

  None (edit)
Description Andrew Schretter 2007-02-09 16:29:36 EST
Description of problem:
Certain postscript files when included in tex documents cause invalid
PDF filename errors when running dvipdfm on the dvi file :

bremen{schrett}1002: dvipdfm dewet

dewet.dvi -> dewet.pdf
[1(./fig4.ps<PS>)][2(./becker.ps<PS>)(./sharma1.ps<PS>)(./sharma2.ps<PS>)(./sharma3.ps<PS>)(./sharma4.ps<PS>)(./green.ps<PS>)][3(./fig4.ps<PS>)(./fig5.ps<PS>)][4(./acheson.ps<PS>)][5(./wetting.ps<PS>)][6(./up.ps<PS>Invalid
PDF name "#16"

pdf_new_name:  invalid PDF name

Output file removed.

A good description is located at :
http://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg87663.html

I've attached the postscript file so you can test with it.  A very
simple patch is below as well.

Version-Release number of selected component (if applicable):
tetex-3.0-32.fc6

How reproducible:
Every time

Steps to Reproduce:
1.Create a tex document with a certain ps file.

\documentclass{seminar}
\input epsf.sty
\begin{document}
\setlength{\epsfxsize}{3.5in}\epsfbox{up.ps}
\end{document}

2.latex the document
3.run dvipdfm on the result
  

Actual results:
bremen{schrett}1012: dvipdfm demo  
demo.dvi -> demo.pdf
[1(./up.ps<PS>Invalid PDF name "#16"
pdf_new_name:  invalid PDF name
Output file removed.


Expected results:
roma{schrett}1048: dvipdfm demo 
demo.dvi -> demo.pdf
[1(./up.ps<PS>)]
158194 bytes written


Additional info:
Simple patch is attached...
Comment 1 Andrew Schretter 2007-02-09 16:29:36 EST
Created attachment 147812 [details]
Postscript file which causes error under dvipdfm
Comment 2 Andrew Schretter 2007-02-09 16:30:58 EST
Created attachment 147813 [details]
Patch to fix
Comment 3 Bug Zapper 2008-04-04 02:10:30 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Andrew Schretter 2008-04-07 11:43:43 EDT
Bug re-verified for Fedora 8.  The patch included in this report still fixes the
problem if applied to current sources.
Comment 5 Jindrich Novy 2008-04-07 12:06:04 EDT
Applied. It will occur in the next tetex update. Thanks.
Comment 6 Fedora Update System 2008-04-10 07:28:40 EDT
tetex-3.0-44.9.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-04-16 23:55:11 EDT
tetex-3.0-44.9.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tetex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3158
Comment 8 Bug Zapper 2008-11-26 02:10:46 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:55:08 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.